curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1672665754\", \"vid\": \"616cf2d79f783cc7214b70f3533be4edfbfe7b89\", \"created\": \"2023-01-02T13:22:35+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"55a1e7fe0b427d82a272db58e69c7ac3cf818981\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"type\": \"MC\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"e3dd2a7cc6ba57b8d4cdf5a9f927aca5e604cb81\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true, \"linked_subscription\": true } ], \"total_count\": 1, \"url\": \"/payment_methods?limit=1&account=Account_1672665754\", \"next\": \"/payment_methods?limit=1&account=Account_1672665754&starting_after=CC_1672665754\", \"previous\": \"/payment_methods?limit=1&account=Account_1672665754&ending_before=CC_1672665754\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"List All Payment Methods
Retrieves Payment Methods filtered by Account.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1672665754\", \"vid\": \"616cf2d79f783cc7214b70f3533be4edfbfe7b89\", \"created\": \"2023-01-02T13:22:35+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"55a1e7fe0b427d82a272db58e69c7ac3cf818981\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"type\": \"MC\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"e3dd2a7cc6ba57b8d4cdf5a9f927aca5e604cb81\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true, \"linked_subscription\": true } ], \"total_count\": 1, \"url\": \"/payment_methods?limit=1&account=Account_1672665754\", \"next\": \"/payment_methods?limit=1&account=Account_1672665754&starting_after=CC_1672665754\", \"previous\": \"/payment_methods?limit=1&account=Account_1672665754&ending_before=CC_1672665754\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
1 <= x <= 100A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
Specify a particular account by id or vid A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128include child account Payment Methods in results
Response
JSON A list array with a data property that contains an array of up to limit PaymentMethod, starting after the specified starting_after PaymentMethod (or ending before the specified ending_before PaymentMethod). Each entry in the array is a full PaymentMethod object. If no more PaymentMethods are available, the resulting array will be empty. This request should never throw an error. A list of PaymentMethod objects matching the query. Also:
-
“total_count”: Integer count of the number of PaymentMethod in the returned list.
-
“url”: The query string provided in the request
-
“next”: The route (partial URL) to the next PaymentMethod object (string to select the “next”); included vid should match that of the last object returned here
-
“previous”: The route (partial URL) to the previous PaymentMethod object (string to select the “previous”); included vid should match that of the first object returned here
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next PaymentMethod object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous PaymentMethod object (string to select the “previous”); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1672665754\", \"vid\": \"616cf2d79f783cc7214b70f3533be4edfbfe7b89\", \"created\": \"2023-01-02T13:22:35+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"55a1e7fe0b427d82a272db58e69c7ac3cf818981\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"type\": \"MC\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"e3dd2a7cc6ba57b8d4cdf5a9f927aca5e604cb81\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true, \"linked_subscription\": true } ], \"total_count\": 1, \"url\": \"/payment_methods?limit=1&account=Account_1672665754\", \"next\": \"/payment_methods?limit=1&account=Account_1672665754&starting_after=CC_1672665754\", \"previous\": \"/payment_methods?limit=1&account=Account_1672665754&ending_before=CC_1672665754\" }"

